Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model
Class Model

    java.lang.Object
      net.sf.borg.model.Model

Direct Known Subclasses:
  AddressModel, AppointmentModel, CategoryModel, LinkModel, MemoModel, TaskModel

    public abstract class Model

extends Object

base class for data models. A Model provides access to a data store to the outside world. Clients of the model can register as Listeners to be provided with feedback any time the model changes.

Nested Class Summary
`static interface` | `Model.Listener` Listener for a Model.

Constructor Summary
`Model()` Instantiates a new model.

Method Summary
`void` | `addListener(Model.Listener listener)` Adds a listener.
`protected void` | `refreshListeners()` send a Refresh message to all listeners.
`void` | `remove()` Removes the listeners.
`void` | `removeListener(Model.Listener listener)` Removes a listener.
`protected void` | `removeListeners()` notify all listeners that the model is being destroyed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Model

    public Model()

  Instantiates a new model.

Method Detail

### addListener

    public void addListener(Model.Listener listener)

  Adds a listener.

  Parameters:
    `listener` - the listener

### removeListener

    public void removeListener(Model.Listener listener)

  Removes a listener.

  Parameters:
    `listener` - the listener

### refreshListeners

    protected void refreshListeners()

  send a Refresh message to all listeners.

### removeListeners

    protected void removeListeners()

  notify all listeners that the model is being destroyed

### remove

    public void remove()

  Removes the listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic